-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : crea_dirUOC.sql                                           |
-- | CLASS    : Install                                                   |
-- | PURPOSE  : Script de supressi dels directoris                       |
-- | DATE     : 21/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @crea_dirUOC.sql                    |
-- |----------------------------------------------------------------------|

/*  Connexi a Oracle */
connect /as SYSDBA
alter session set current_schema=UOC
set termout on

/* Gesti d'errors */
-- whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Inicia fitxer log de sortida */
spool '../log/drop_dirUOC.log'
set termout on
prompt
prompt => INICI
prompt 

/* Borra directoris */
prompt => 1. Borra directoris
set termout off
  DROP DIRECTORY DIR_DATA;
  DROP DIRECTORY DIR_LOG;
  DROP DIRECTORY DIR_FILES;
  DROP DIRECTORY DIR_TMP;

/* Tanca fitxer log de sortida */
set termout on
prompt 
prompt => FINAL : DIRECTORIS BORRATS
prompt

spool off
disconnect;
