-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : load_pagoUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Crida a SQL LOADER per carregar dades SO                  |
-- | DATE     : 23/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @load_pagoUOC.sql                   |
-- |----------------------------------------------------------------------|

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Crida a SQL LOADER  */
HOST sqlldr UOC/UOC control=..\clt\pago.ctl data=..\data\pago.csv bad=..\log\load_pago.bad log=..\log\load_pago.log
