-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : load_modelUOC.sql                                         |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Crida a SQL LOADER per carregar dades MODELO              |
-- | DATE     : 24/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @load_modelUOC.sql                  |
-- |----------------------------------------------------------------------|

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Crida a SQL LOADER  */
HOST sqlldr UOC/UOC control=..\clt\modelo.ctl data=..\data\modelo.csv bad=..\log\load_model.bad log=..\log\load_model.log
