/* --------------------- */
/* JDD : @PKG_DESA.sql   */
/* --------------------- */
-- Baixa d'un desenvolupador inexistent
variable RSP varchar2(500);
call PKG_DESA.baixa_DESA ('A',:RSP);
-- Baixa d'un desenvolupador existent
variable RSP varchar2(500);
call PKG_DESA.baixa_DESA ('45-FS4',:RSP);
-- Alta d'un nou desenvolupador
variable RSP varchar2(500);
call PKG_DESA.alta_DESA('test','test','ES','pedra','','','','','ES','','','','','','',:RSP);
-- Alta d'un desenvolupador existent
variable RSP varchar2(500);
call PKG_DESA.alta_DESA('45-FS4','dynasoft','ES','ES','ES','ES','ES','ES','ES','ES','ES','ES','ES','ES','ES',:RSP);
-- Modificaci d'un desenvolupador inexistent
variable RSP varchar2(500);
call PKG_DESA.modif_DESA ('25','Empresa5','ES','tarraco','','','','','ES','','','','','','',:RSP);
-- Modificaci d'un desenvolupador existent
variable RSP varchar2(500);
call PKG_DESA.modif_DESA ('256-789','Empresa5','ES','tarraco','','','','','ES','','','','','','',:RSP);

/* --------------------- */
/* JDD : @PKG_USER.sql    */
/* --------------------- */
-- Alta d'un usuari existent
variable RSP varchar2(500);
call PKG_USER.alta_USER('608789456','dynasoft','ES','S','','','','ES',:RSP);
-- Alta d'un nou usuari
variable RSP varchar2(500);
call PKG_USER.alta_USER('677789456','Airtel Gabon','ES','S','1235469873','Android Honeycomb (v3.2)','240x320','Pearl 8110',:RSP);
-- Alta d'un dispositiu per un usuario que no existeix
variable RSP varchar2(500);
call PKG_USER.alta_DISPO('000779456','1235469873','ES','Android Honeycomb (v3.2)','240x320','Pearl 8110',:RSP);
-- Alta d'un nou dispositiu
variable RSP varchar2(500);
call PKG_USER.alta_DISPO('777852558','7777769877','ES','Android Honeycomb (v3.2)','240x320','Pearl 8110',:RSP);
-- Alta d'un dispositiu ja associat a un usuari existent
variable RSP varchar2(500);
call PKG_USER.alta_DISPO('777852558','1235469873','ES','Android Honeycomb (v3.2)','240x320','Pearl 8110',:RSP);
-- Baixa d'un usuari inexistent
variable RSP varchar2(500);
call PKG_USER.baixa_USER ('A',:RSP);
-- Baixa d'un usuari existent
variable RSP varchar2(500);
call PKG_USER.baixa_USER ('677789456',:RSP);
-- Baixa d'un dispositiu inexistent
variable RSP varchar2(500)
call PKG_USER.baixa_DISPO ('777852558','A',:RSP);
-- Baixa d'un dispositiu per a un usuari inexistent
variable RSP varchar2(500);
call PKG_USER.baixa_DISPO ('999852','A',:RSP);
-- Baixa d'un dispositiu existent
variable RSP varchar2(500);
call PKG_USER.baixa_DISPO ('777852558','1235469873',:RSP);
-- Modificaci d'un usuari inexistent
variable RSP varchar2(500);
call PKG_USER.modif_USER('A','Airtel Gabon','ES','S',:RSP);
-- Modificaci d'un usuari existent
variable RSP varchar2(500);
call PKG_USER.modif_USER('608789456','Mobilicity','FR','S',:RSP);
-- Modificaci d'un dispositiu per a un usuari inexistent
variable RSP varchar2(500);
call PKG_USER.modif_DISPO ('999852','A','iPhone OS 6.0','720x1280','Treo 90',:RSP);
-- Modificaci d'un dispositiu inexistent
variable RSP varchar2(500);
call PKG_USER.modif_DISPO ('777852558','A','iPhone OS 6.0','720x1280','Treo 90',:RSP);
-- Modificaci d'un dispositiu existent
variable RSP varchar2(500);
call PKG_USER.modif_DISPO ('777852558','1235469873','iPhone OS 6.0','720x1280','Treo 90',:RSP);

/* --------------------- */
/* JDD : @PKG_APP.sql    */
/* --------------------- */
-- Alta d'una aplicaci existent
variable RSP varchar2(500);
call PKG_APP.alta_APP('aa','v1','Android Honeycomb (v3.1)','AU','13-F45','240x320','SI',12.09,'bla bla bla',1024,'http://video.test.fr','titi.bin',:RSP);
-- Alta d'una nova aplicaci 
variable RSP varchar2(500);
call PKG_APP.alta_APP('bb','v1','Android Honeycomb (v3.1)','AU','13-F45','240x320','SI',22.09,'bla bla bla',1048,'http://video2.test.fr','tito.bin',:RSP);
-- Baixa d'una aplicaci inexistent
variable RSP varchar2(500);
call PKG_APP.baixa_APP('br');
-- Alta d'una versi per una aplicaci 
variable RSP varchar2(500);
call PKG_APP.alta_VERSIO('bb','v2','Android Honeycomb (v3.1)','AU','13-F45','240x320','SI',22.09,'bla bla bla',1048,'http://video2.test.fr','tito.bin',:RSP);
-- Alta d'una versi per una aplicaci inexistent
variable RSP varchar2(500);
call PKG_APP.alta_VERSIO('ptr','v1','Android Honeycomb (v3.1)','AU','13-F45','240x320','SI',12.09,'bla bla bla',1024,'http://video.test.fr','titi.bin',:RSP);
-- Alta d'una versi ja existent per una aplicaci 
variable RSP varchar2(500);
call PKG_APP.alta_VERSIO('bb','v1','iPhone OS 2.0','AU','13-F45','240x320','SI',20.03,'bla bla bla2',1048,'http://video2.test.fr','tito.bin',:RSP);
-- Baixa d'una aplicaci
variable RSP varchar2(500);
call PKG_APP.baixa_APP('aa',:RSP);
call PKG_APP.baixa_APP('ptr',:RSP);
-- Baixa d'una versi inexistent d'una applicaci inexistent
variable RSP varchar2(500);
call PKG_APP.baixa_VERSIO('br','prt',:RSP);
-- Baixa d'una versi inexistent d'una applicaci existent
variable RSP varchar2(500);
call PKG_APP.baixa_VERSIO('aa','prt',:RSP);
-- Baixa d'una versi existent
variable RSP varchar2(500);
call PKG_APP.baixa_VERSIO('aa','v1',:RSP);
-- Modificaci d'una aplicaci inexistent
variable RSP varchar2(500);
call PKG_APP.modif_APP ('jjj','v1','iPhone OS 2.0','AU','13-F45','240x320','SI',20.03,'bla bla bla2',1048,'http://video2.test.fr','tito.bin',:RSP);
-- Modificaci d'una aplicaci existent
variable RSP varchar2(500);
call PKG_APP.modif_APP ('bb','v1','iPhone OS 2.0','AU','13-F45','240x320','SI',22.15,'bla bla bla2',1048,'http://video2.test.fr','tito.bin',:RSP);

/* ------------------------ */
/* JDD : @PKG_DESCARGA.sql  */
/* ------------------------ */
-- Registre d'una descrrega
variable RSP varchar2(500);
call PKG_DESCARGA.alta_DESCARGA ('bb','v1','15847896523','paypal',:RSP);

