-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : load_apliUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Crida a SQL LOADER per carregar dades TMP_APLI            |
-- | DATE     : 29/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @load_apliUOC.sql                   |
-- |----------------------------------------------------------------------|

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Crida a SQL LOADER  */
HOST sqlldr UOC/UOC control=..\clt\aplicacion.ctl data=..\data\aplicacion.csv bad=..\log\load_apli.bad log=..\log\load_apli.log
