-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : load_desaUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Crida a SQL LOADER per carregar dades DESARROLLADOR       |
-- | DATE     : 24/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @load_desaUOC.sql                   |
-- |----------------------------------------------------------------------|

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Crida a SQL LOADER  */
HOST sqlldr UOC/UOC control=..\clt\desarrollador.ctl data=..\data\desarrollador.csv bad=..\log\load_desa.bad log=..\log\load_desa.log
