-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : load_paisUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Crida a SQL LOADER per carregar dades PAIS                |
-- | DATE     : 22/10/2012                                                |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @load_paisUOC.sql                   |
-- |----------------------------------------------------------------------|

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Crida a SQL LOADER  */
--HOST sqlldr UOC/UOC control=pais.ctl data=pais.csv bad=pais.bad log=pais.log
HOST sqlldr UOC/UOC control=..\clt\pais.ctl data=..\data\pais.csv bad=..\log\load_pais.bad log=..\log\load_pais.log
