-- +----------------------------------------------------------------------+
-- |                         Jordi Pascual Aran  (JPL)                    |
-- |                         DBA UOC                                      |
-- |----------------------------------------------------------------------|
-- | DATABASE : Oracle                                                    |
-- | FILE     : load_userUOC.sql                                          |
-- | CLASS    : Import                                                    |
-- | PURPOSE  : Crida a SQL LOADER per carregar dades TMP_USUARIO         |
-- | DATE     : 4/11/2012                                                 |
-- | VERSION  : Oracle 10g                                                |
-- |----------------------------------------------------------------------|
-- | USAGE:    sqlplus <usr>/<passwd> @load_userUOC.sql                   |
-- |----------------------------------------------------------------------|

/* Gesti d'errors */
whenever sqlerror exit ROLLBACK
whenever oserror exit ROLLBACK

/* Crida a SQL LOADER  */
HOST sqlldr UOC/UOC control=..\clt\usuario.ctl data=..\data\usuario.csv bad=..\log\load_user.bad log=..\log\load_user.log
